edu.whs.spin2018.baoapp.views.lobby

## Interface LobbyContract.View

- All Superinterfaces:
    BaseView<LobbyContract.Presenter>
  All Known Implementing Classes:
    LobbyActivity
  Enclosing interface:
    LobbyContract

      public static interface LobbyContract.View
      extends BaseView<LobbyContract.Presenter>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `entferneBenutzerAusAnzeigeliste(int pos, int anzahl)` Teilt der View mit, dass ein Benutzer die Lobby verlassen hat und aus der Anzeige entfernt werden soll
    `void` | `leereListe(int anzahl)` Teil der View mit, dass die Benutzer in der Liste entfernt werden sollen.
    `void` | `versteckeLadeAnzeige()` Versteckt die Progressbar und das Textfeld, welches anzeigt, dass die Benutzer geladen werden.
    `void` | `zeigeAusgehendeHerausforderung(Benutzer empfaenger)` Zeigt dem Benutzer beim Herausfordern eines anderen Spielers einen Dialog an, in dem er die Herausforderung abbrechen kann.
    `void` | `zeigeBenutzerWerdenGeladen()` Zeigt die Progessbar und das Textfeld, welches anzeigt, dass die Benutzer geladen werden
    `void` | `zeigeEingehendeHerausforderung(Benutzer absender)` Zeigt einen Dialog an, in dem eine eintreffende Herausforderung angenommen oder abgelehnt werden kann.
    `void` | `zeigeErhaltendeBenutzer()` Teilt der View mit, dass Benutzer geladen wurden.
    `void` | `zeigeHerausforderungAngenommen()` Zeigt in dem aktuellen Herausforderungsdialog an, dass die Herausforderung vom Gegner angenommen wurde.
    `void` | `zeigeHerausforderungBeendet()` Beendet den aktuell angezeigten Herausforderungsdialog.
    `void` | `zeigeLobbyIstLeer()` Zeigt an, dass sich kein Benutzer in der Lobby befindet.
    `void` | `zeigeNeuenBenutzerInListe(int pos)` Benachrichtig die RecyclerView, dass ein neuer Benutzer der Liste hinzugefuegt wurde.

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.views.BaseView

      `initView, setzePresenter`

- - ### Method Detail

    - #### zeigeBenutzerWerdenGeladen

          void zeigeBenutzerWerdenGeladen()

      Zeigt die Progessbar und das Textfeld, welches anzeigt, dass die Benutzer geladen werden

    - #### versteckeLadeAnzeige

          void versteckeLadeAnzeige()

      Versteckt die Progressbar und das Textfeld, welches anzeigt, dass die Benutzer geladen werden.

    - #### zeigeEingehendeHerausforderung

          void zeigeEingehendeHerausforderung(Benutzer absender)

      Zeigt einen Dialog an, in dem eine eintreffende Herausforderung angenommen oder abgelehnt werden kann.
      Parameters:
        `absender` - - Daten des Absenders der Herausforderung

    - #### zeigeAusgehendeHerausforderung

          void zeigeAusgehendeHerausforderung(Benutzer empfaenger)

      Zeigt dem Benutzer beim Herausfordern eines anderen Spielers einen Dialog an, in dem er die Herausforderung abbrechen kann.
      Parameters:
        `empfaenger` - Benutzer, der herausgefordert wird.

    - #### zeigeLobbyIstLeer

          void zeigeLobbyIstLeer()

      Zeigt an, dass sich kein Benutzer in der Lobby befindet.

    - #### zeigeNeuenBenutzerInListe

          void zeigeNeuenBenutzerInListe(int pos)

      Benachrichtig die RecyclerView, dass ein neuer Benutzer der Liste hinzugefuegt wurde.
      Parameters:
        `pos` - - Stelle, an der der Benutzer hinzugefuegt wurde. Typischerweise am Ende der Liste

    - #### entferneBenutzerAusAnzeigeliste

          void entferneBenutzerAusAnzeigeliste(int pos,
                                               int anzahl)

      Teilt der View mit, dass ein Benutzer die Lobby verlassen hat und aus der Anzeige entfernt werden soll
      Parameters:
        `pos` - - Position den Benutzers, der die Lobby verlassen hat, in der Liste
        `anzahl` - - Anzahl der Items, die sich geändert haben.

    - #### zeigeHerausforderungBeendet

          void zeigeHerausforderungBeendet()

      Beendet den aktuell angezeigten Herausforderungsdialog.

    - #### zeigeHerausforderungAngenommen

          void zeigeHerausforderungAngenommen()

      Zeigt in dem aktuellen Herausforderungsdialog an, dass die Herausforderung vom Gegner angenommen wurde.

    - #### leereListe

          void leereListe(int anzahl)

      Teil der View mit, dass die Benutzer in der Liste entfernt werden sollen.
      Parameters:
        `anzahl` - - Anzahl der entfernten Benutzer

    - #### zeigeErhaltendeBenutzer

          void zeigeErhaltendeBenutzer()

      Teilt der View mit, dass Benutzer geladen wurden.